using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;
using System.Text;
using System.Threading.Tasks;

namespace Riceboard {
    internal class Calculations {
        public static UInt128 GetCount(int pos) {
            return (UInt128)BigInteger.Pow(2, pos);
        }

        public static UInt128 GetCount(int width = 8, int height = 8) {
            return GetCount( width * height ) - 1;
        }

        public static UInt128 GetCount(int x, int y, int width) {
            return GetCount(x + y * width);
        }
    }
}
